define(['app'],function(app) {

    function Contact(values) {
		values = values || {};
		this.id = values['id'] || app.utils.generateGUID();
		this.picId = values['picId'] || app.utils.getRandomInt(1,2);
		this.createdOn = values['createdOn'] || new Date();

		this.firstName = values['firstName'] || '';
		this.lastName = values['lastName'] || '';
		this.job = values['job'] || '';
		this.company = values['company'] || '';
		this.phone = values['phone'] || '';
		this.phonef = values['phonef'] || '';
		this.email = values['email'] || '';
		this.street = values['street'] || '';
		this.city = values['city'] || '';
		this.product = values['product'] || '';
		this.product2 = values['product2'] || '';
		this.product3 = values['product3'] || '';
		this.product4 = values['product4'] || '';
		this.product5 = values['product5'] || '';
		this.product6 = values['product6'] || '';
		this.product7 = values['product7'] || '';
		this.product8 = values['product8'] || '';
		this.product9 = values['product9'] || '';
		this.product10 = values['product10'] || '';
		this.isFavorite = values['isFavorite'] || false;
    }

	Contact.prototype.setValues = function(inputValues) {
		for (var i = 0, len = inputValues.length; i < len; i++) {
			var item = inputValues[i];
			if (item.type === 'checkbox') {
				this[item.id] = item.checked;
			}
			else {
				this[item.id] = item.value;
			}
		}
	};

	Contact.prototype.validate = function() {
		var result = true;
		if (_.isEmpty(this.firstName) && _.isEmpty(this.lastName)) {
			result = false;
		}
		return result;
	};

    return Contact;
});
